The player version to use. Possible values are 0 for legacy and 1 for the current
Available options:
0,
1
player_style
enum<string>
The style of user interface to show for the player. Possible values are default, small, standard, large, or video
Available options:
default,
small,
standard,
large,
video
playlist_style
string
Controls playlist visibility and the maximum visible desktop and mobile rows. For example, auto-5-5 shows playlists automatically with five desktop and mobile rows
playlist_toggle
enum<string>
Controls whether the playlist toggle is shown. Possible values are auto, show, or hide
Available options:
auto,
show,
hide
player_title
string | null
The title to show in the large player when there isn't a playlist
call_to_action
string
The text prompt to show on the player
image_url
string | null
An image to show in the player instead of the content's image
persistent_ad_image
boolean | null
Whether to show clickable ad images in the player when the ad isn't playing
theme
enum<string>
The color theme to use for the player. The color theme to use for the player. Possible values are auto, dark, or light
Available options:
auto,
dark,
light
dark_theme
object
The dark theme colors
Show child attributes
light_theme
object
The light theme colors
Show child attributes
video_theme
object
The video theme colors
Show child attributes
title_enabled
boolean
Whether to always show the content's title (e.g. instead of the call_to_action)
image_enabled
boolean
deprecated
Whether to show or hide the image in the player
widget_style
enum<string>
The style of user interface to show for the widget at the bottom of the screen. Possible values are none, small, standard, large, video The widget appears once you scroll past the player in the page.
Available options:
none,
small,
standard,
large,
video
widget_position
enum<string>
The side of the screen on which to show the widget. Possible values are auto, left, center, right The 'auto' position places the standard player in the center, otherwise to the right.
Available options:
auto,
left,
center,
right
segment_playback_enabled
boolean
Whether to allow playback by clicking on a segment (i.e. a paragraph) on the page
segment_highlights_enabled
boolean
Whether segments should be highlighted in time with content playback
skip_button_style
string
The style of skip buttons to show in the player. Possible values are segments or seconds You can specify the number of seconds to skip, e.g. seconds-15 or seconds-15-30
intro_url
string | null
The URL of an intro audio file to play before all content in the player
outro_url
string | null
The URL of an outro audio file to play after all content in the player.
intro_outro_enabled
boolean
deprecated
Whether or not the intro and outro should be played. The default is false
download_button_enabled
boolean
Whether to show a download button next to each playlist item in the player
analytics_custom_url
string | null
Custom analytics server URL
analytics_tag_enabled
string | null
Google Analytics tag enabled
analytics_tag
string | null
Google Analytics tag
logo_icon_enabled
boolean
Whether to show the BeyondWords logo in the player
word_highlights_enabled
boolean
continuous_playback_mode
enum<string>
The continuous playback mode. Possible values are none or recent
Available options:
none,
recent
outro_playback_mode
enum<string>
The outro playback mode. Possible values are after-all or after-each
Available options:
after-all,
after-each
radius
integer
The corner radius of the player, in pixels. The default is 8. Only affects players with the default player_style
disclosure_text
string | null
The disclosure text to show in the player. Only affects players with the default player_style
disclosure_link
string | null
The URL the disclosure text links to. Only affects players with the default player_style
agent_avatar_url
string | null
The URL of an avatar image to show for the agent in the player
agent_placeholder
string | null
The placeholder text to show in the agent input field in the player
agent_shortcuts
string[]
Suggested prompts to show in the agent user interface in the player. The default is an empty array
info_text
string | null
The informational text to show in the agent user interface in the player
variants
enum<string>[]
The content variants to load in the player. Possible values are article and summary. The default is ["article"]
Available options:
article,
summary
embed_mode
enum<string>
The user interface mode of the player. Possible values are audio, audio-agent, or agent. The default is audio
Available options:
audio,
audio-agent,
agent
widget_embed_mode
enum<string>
The user interface mode of the widget. Possible values are auto, audio, audio-agent, or agent. The auto mode follows the embed_mode of the player. The default is auto
Available options:
auto,
audio,
audio-agent,
agent
agent_voice_enabled
boolean
Whether voice conversations with the agent are enabled in the player. The default is true
Response
200 - application/json
OK
enabled
boolean
Whether the player distribution is on or off
player_version
enum<string>
The player version to use. Possible values are 0 for legacy and 1 for the current
Available options:
0,
1
player_style
enum<string>
The style of user interface to show for the player. Possible values are default, small, standard, large, or video
Available options:
default,
small,
standard,
large,
video
playlist_style
string
Controls playlist visibility and the maximum visible desktop and mobile rows. For example, auto-5-5 shows playlists automatically with five desktop and mobile rows
playlist_toggle
enum<string>
Controls whether the playlist toggle is shown. Possible values are auto, show, or hide
Available options:
auto,
show,
hide
player_title
string | null
The title to show in the large player when there isn't a playlist
call_to_action
string
The text prompt to show on the player
image_url
string | null
An image to show in the player instead of the content's image
theme
enum<string>
The color theme to use for the player. Possible values are auto, dark, or light The 'auto' theme is based on the user's light/dark mode system preference.
Available options:
auto,
dark,
light
dark_theme
object
The dark theme colors
Show child attributes
light_theme
object
The light theme colors
Show child attributes
video_theme
object
The video theme colors
Show child attributes
title_enabled
boolean
Whether to always show the content's title (e.g. instead of the call_to_action)
image_enabled
boolean
deprecated
Whether to show or hide the image in the player
persistent_ad_image
boolean
Whether to show clickable ad images in the player when the ad isn't playing
widget_style
enum<string>
The style of user interface to show for the widget at the bottom of the screen. Possible values are none, small, standard, large, video The widget appears once you scroll past the player in the page.
Available options:
none,
small,
standard,
large,
video
widget_position
enum<string>
The side of the screen on which to show the widget. Possible values are auto, left, center, right The 'auto' position places the standard player in the center, otherwise to the right.
Available options:
auto,
left,
center,
right
segment_playback_enabled
boolean
Whether to allow playback by clicking on a segment (i.e. a paragraph) on the page
segment_highlights_enabled
boolean
Whether segments should be highlighted in time with content playback
skip_button_style
string
The style of skip buttons to show in the player. Possible values are segments or seconds You can specify the number of seconds to skip, e.g. seconds-15 or seconds-15-30
intros_outros
object[]
The URLs of intros and outros audio files
Show child attributes
intro_url
string | null
The URL of an intro audio file to play before all content in the player
outro_url
string | null
The URL of an outro audio file to play after all content in the player
intro_outro_enabled
boolean
deprecated
Whether or not the intro and outro should be played. The default is false
download_button_enabled
boolean
Whether to show a download button next to each playlist item in the player.
logo_icon_enabled
boolean
Whether to show the BeyondWords logo in the player.
analytics_enabled
boolean
Analytics enabled.
analytics_uuid_enabled
boolean
Analytics uuid enabled.
analytics_url
string
Analytics server URL
analytics_custom_url
string | null
Custom analytics server URL
analytics_id
integer
Analytics ID
analytics_tag_enabled
boolean
Analytics tag enabled
analytics_tag
string | null
Google Analytics tag
updated
string
Time at which the object was updated (ISO 8601)
word_highlights_enabled
boolean
continuous_playback_mode
enum<string>
The continuous playback mode. Possible values are none or recent
Available options:
none,
recent
outro_playback_mode
enum<string>
The outro playback mode. Possible values are after-all or after-each
Available options:
after-all,
after-each
radius
integer
The corner radius of the player, in pixels. The default is 8. Only affects players with the default player_style
disclosure_text
string | null
The disclosure text to show in the player. Only affects players with the default player_style
disclosure_link
string | null
The URL the disclosure text links to. Only affects players with the default player_style
agent_avatar_url
string | null
The URL of an avatar image to show for the agent in the player
agent_placeholder
string | null
The placeholder text to show in the agent input field in the player
agent_shortcuts
string[]
Suggested prompts to show in the agent user interface in the player. The default is an empty array
info_text
string | null
The informational text to show in the agent user interface in the player
variants
enum<string>[]
The content variants to load in the player. Possible values are article and summary. The default is ["article"]
Available options:
article,
summary
embed_mode
enum<string>
The user interface mode of the player. Possible values are audio, audio-agent, or agent. The default is audio
Available options:
audio,
audio-agent,
agent
widget_embed_mode
enum<string>
The user interface mode of the widget. Possible values are auto, audio, audio-agent, or agent. The auto mode follows the embed_mode of the player. The default is auto
Available options:
auto,
audio,
audio-agent,
agent
agent_voice_enabled
boolean
Whether voice conversations with the agent are enabled in the player. The default is true
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Docs and guides","colors":{"primary":"#943AFC","light":"#943AFC","dark":"#943AFC"},"logo":{"light":"https://mintcdn.com/beyondwords/-xTOVbYlCFtcbESd/assets/images/beyondwords/logo-mono-light.svg?fit=max\u0026auto=format\u0026n=-xTOVbYlCFtcbESd\u0026q=85\u0026s=f7ef97de700b0d66a30f62003ea5e846","dark":"https://mintcdn.com/beyondwords/-xTOVbYlCFtcbESd/assets/images/beyondwords/logo-mono-dark.svg?fit=max\u0026auto=format\u0026n=-xTOVbYlCFtcbESd\u0026q=85\u0026s=029293973c9fcd45d9051658232abb68","href":"https://beyondwords.io"},"favicon":"https://mintcdn.com/beyondwords/LPNO5XJIxY-ynytX/favicon.svg?fit=max\u0026auto=format\u0026n=LPNO5XJIxY-ynytX\u0026q=85\u0026s=27326b9aa36c9b9d02daa183f90a22d9","api":{"openapi":"https://api.beyondwords.io/swagger/v1/swagger.yaml","mdx":{"server":"https://api.beyondwords.io"}},"navbar":{"links":[{"href":"mailto:[email protected]","label":"Email support"}],"primary":{"type":"button","label":"Dashboard","href":"https://dash.beyondwords.io"}},"footer":{"socials":{"x":"https://x.com/BeyondWords_io","linkedin":"https://www.linkedin.com/company/beyondwordsio"}},"contextual":{"options":["copy","view","chatgpt","claude","mcp"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"beyondwords","hasAudioNarration":false,"actualSubdomain":"beyondwords","customDomains":["docs.beyondwords.io"],"gitSource":{"type":"github","owner":"beyondwords-io","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6afc118d799281c7b114aa6e","clientVersion":"0.0.4227","searchFilterCounts":[{"language":"default","tag":"API reference","count":111},{"language":"default","tag":"Components","count":96},{"language":"default","tag":"Documentation","count":60},{"language":"default","tag":"Distribution","count":36},{"language":"default","tag":"Integrations","count":29},{"language":"default","tag":"React","count":29},{"language":"default","tag":"HTML","count":28},{"language":"default","tag":"Voices","count":25},{"language":"default","tag":"Content","count":21},{"language":"default","tag":"Player","count":18}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"assets/css/styles.css","content":"#navigation-items>ul li:nth-child(3){display:none}#navigation-items li#\\/docs-and-guides\\/changelog{display:none}#content-side-layout{max-height:80vh}img.icon{margin:0}"}]}
{"page":{"pagePath":"api-reference/player-settings/update","slug":"/api-reference/player-settings/update","pageMetadata":{"title":"Update player settings","openapi":"put /projects/{project_id}/player_settings","description":"Updates the player settings for a project","href":"/api-reference/player-settings/update"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Updates the player settings for a project\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update player settings","openapi":"put /projects/{project_id}/player_settings","description":"Updates the player settings for a project","href":"/api-reference/player-settings/update"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/beyondwords/723443eabf3ede01/assets/js/script.js","/_mintlify/custom/beyondwords/0936094f27631aa2/assets/js/components-web-components.js"],"openApiReferenceData":{"operation":{"summary":"Update","tags":["Player settings"],"description":"Updates the player settings for a project","operationId":"player_settings#update","security":["c0b8818f-0aa6-472a-8fc9-132097f5dfb8"],"parameters":[],"responses":{"200":"912351e5-1840-49bc-9d4a-9484be764a7f"},"requestBody":"7e95ac21-a966-4f57-80ef-89e906dc8eb2","method":"put","type":"path","servers":["5783a90f-4950-42a2-a170-552af1f6d9aa"],"path":"/projects/{project_id}/player_settings","baseUrlOptions":["https://api.beyondwords.io/v1"],"title":"Update","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"53fcdc31-4d07-4675-b79d-bfae222aa719":{"name":"project_id","in":"path","description":"The numeric ID of your project","required":true,"schema":{"type":"string","isRequired":true,"description":"The numeric ID of your project","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether the player distribution is on or off","uniqueKey":"enabled","typeLabel":"boolean"},"player_version":{"type":"string","enum":["0","1"],"description":"The player version to use. Possible values are `0` for legacy and `1` for the current","uniqueKey":"player_version","typeLabel":"enum\u003cstring>"},"player_style":{"type":"string","enum":["default","small","standard","large","video"],"description":"The style of user interface to show for the player. Possible values are `default`, `small`, `standard`, `large`, or `video`","uniqueKey":"player_style","typeLabel":"enum\u003cstring>"},"playlist_style":{"type":"string","description":"Controls playlist visibility and the maximum visible desktop and mobile rows. For example, `auto-5-5` shows playlists automatically with five desktop and mobile rows","uniqueKey":"playlist_style","typeLabel":"string"},"playlist_toggle":{"type":"string","enum":["auto","show","hide"],"description":"Controls whether the playlist toggle is shown. Possible values are `auto`, `show`, or `hide`","uniqueKey":"playlist_toggle","typeLabel":"enum\u003cstring>"},"player_title":{"oneOf":[{"type":"string","description":"The title to show in the `large` player when there isn't a playlist","uniqueKey":"player_title.oneOf.0","typeLabel":"string"},{"type":"null","description":"The title to show in the `large` player when there isn't a playlist","uniqueKey":"player_title.oneOf.1","typeLabel":"null"}],"uniqueKey":"player_title","typeLabel":"string | null"},"call_to_action":{"type":"string","description":"The text prompt to show on the player","uniqueKey":"call_to_action","typeLabel":"string"},"image_url":{"oneOf":[{"type":"string","description":"An image to show in the player instead of the content's image","uniqueKey":"image_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"An image to show in the player instead of the content's image","uniqueKey":"image_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"image_url","typeLabel":"string | null"},"persistent_ad_image":{"oneOf":[{"type":"boolean","description":"Whether to show clickable ad images in the player when the ad isn't playing","uniqueKey":"persistent_ad_image.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Whether to show clickable ad images in the player when the ad isn't playing","uniqueKey":"persistent_ad_image.oneOf.1","typeLabel":"null"}],"uniqueKey":"persistent_ad_image","typeLabel":"boolean | null"},"theme":{"type":"string","description":"The color theme to use for the player. The color theme to use for the player. Possible values are `auto`, `dark`, or `light`","enum":["auto","dark","light"],"uniqueKey":"theme","typeLabel":"enum\u003cstring>"},"dark_theme":{"type":"object","description":"The dark theme colors","properties":{"background_color":{"type":"string","description":"The player surface color","uniqueKey":"dark_theme.background_color","typeLabel":"string"},"text_color":{"type":"string","description":"The primary text color","uniqueKey":"dark_theme.text_color","typeLabel":"string"},"secondary_text_color":{"type":"string","description":"The secondary text, metadata, caption, placeholder, and disabled-copy color","uniqueKey":"dark_theme.secondary_text_color","typeLabel":"string"},"icon_color":{"type":"string","description":"The transport and utility control color","uniqueKey":"dark_theme.icon_color","typeLabel":"string"},"subtle_color":{"type":"string","description":"The progress-track, divider, skeleton, citation-border, and quiet-border color","uniqueKey":"dark_theme.subtle_color","typeLabel":"string"},"link_color":{"type":"string","description":"The link, call-to-action, citation, and underline color","uniqueKey":"dark_theme.link_color","typeLabel":"string"},"highlight_color":{"type":"string","description":"The section highlight color","uniqueKey":"dark_theme.highlight_color","typeLabel":"string"},"word_highlight_color":{"type":"string","description":"The current-word highlight color","uniqueKey":"dark_theme.word_highlight_color","typeLabel":"string"},"agent_color":{"type":"string","description":"The agent color or CSS background gradient","uniqueKey":"dark_theme.agent_color","typeLabel":"string"},"accent_color":{"type":"string","description":"The user-message background color","uniqueKey":"dark_theme.accent_color","typeLabel":"string"},"accent_text_color":{"type":"string","description":"The user-message text color","uniqueKey":"dark_theme.accent_text_color","typeLabel":"string"}},"uniqueKey":"dark_theme","typeLabel":"object"},"light_theme":{"type":"object","description":"The light theme colors","properties":{"background_color":{"type":"string","description":"The player surface color","uniqueKey":"light_theme.background_color","typeLabel":"string"},"text_color":{"type":"string","description":"The primary text color","uniqueKey":"light_theme.text_color","typeLabel":"string"},"secondary_text_color":{"type":"string","description":"The secondary text, metadata, caption, placeholder, and disabled-copy color","uniqueKey":"light_theme.secondary_text_color","typeLabel":"string"},"icon_color":{"type":"string","description":"The transport and utility control color","uniqueKey":"light_theme.icon_color","typeLabel":"string"},"subtle_color":{"type":"string","description":"The progress-track, divider, skeleton, citation-border, and quiet-border color","uniqueKey":"light_theme.subtle_color","typeLabel":"string"},"link_color":{"type":"string","description":"The link, call-to-action, citation, and underline color","uniqueKey":"light_theme.link_color","typeLabel":"string"},"highlight_color":{"type":"string","description":"The section highlight color","uniqueKey":"light_theme.highlight_color","typeLabel":"string"},"word_highlight_color":{"type":"string","description":"The current-word highlight color","uniqueKey":"light_theme.word_highlight_color","typeLabel":"string"},"agent_color":{"type":"string","description":"The agent color or CSS background gradient","uniqueKey":"light_theme.agent_color","typeLabel":"string"},"accent_color":{"type":"string","description":"The user-message background color","uniqueKey":"light_theme.accent_color","typeLabel":"string"},"accent_text_color":{"type":"string","description":"The user-message text color","uniqueKey":"light_theme.accent_text_color","typeLabel":"string"}},"uniqueKey":"light_theme","typeLabel":"object"},"video_theme":{"type":"object","description":"The video theme colors","properties":{"background_color":{"type":"string","description":"The video surface color","uniqueKey":"video_theme.background_color","typeLabel":"string"},"text_color":{"type":"string","description":"The video text color","uniqueKey":"video_theme.text_color","typeLabel":"string"},"icon_color":{"type":"string","description":"The video control icon color","uniqueKey":"video_theme.icon_color","typeLabel":"string"},"subtle_color":{"type":"string","description":"The video subtle control color","uniqueKey":"video_theme.subtle_color","typeLabel":"string"}},"uniqueKey":"video_theme","typeLabel":"object"},"title_enabled":{"type":"boolean","description":"Whether to always show the content's title (e.g. instead of the call_to_action)","uniqueKey":"title_enabled","typeLabel":"boolean"},"image_enabled":{"type":"boolean","description":"Whether to show or hide the image in the player","deprecated":true,"uniqueKey":"image_enabled","typeLabel":"boolean"},"widget_style":{"type":"string","enum":["none","small","standard","large","video"],"description":"The style of user interface to show for the widget at the bottom of the screen. Possible values are `none`, `small`, `standard`, `large`, `video` The widget appears once you scroll past the player in the page.","uniqueKey":"widget_style","typeLabel":"enum\u003cstring>"},"widget_position":{"type":"string","enum":["auto","left","center","right"],"description":"The side of the screen on which to show the widget. Possible values are `auto`, `left`, `center`, `right` The 'auto' position places the standard player in the center, otherwise to the right.","uniqueKey":"widget_position","typeLabel":"enum\u003cstring>"},"segment_playback_enabled":{"type":"boolean","description":"Whether to allow playback by clicking on a segment (i.e. a paragraph) on the page","uniqueKey":"segment_playback_enabled","typeLabel":"boolean"},"segment_highlights_enabled":{"type":"boolean","description":"Whether segments should be highlighted in time with content playback","uniqueKey":"segment_highlights_enabled","typeLabel":"boolean"},"skip_button_style":{"type":"string","description":"The style of skip buttons to show in the player. Possible values are `segments` or `seconds` You can specify the number of seconds to skip, e.g. `seconds-15` or `seconds-15-30`","uniqueKey":"skip_button_style","typeLabel":"string"},"intro_url":{"oneOf":[{"type":"string","description":"The URL of an intro audio file to play before all content in the player","uniqueKey":"intro_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The URL of an intro audio file to play before all content in the player","uniqueKey":"intro_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"intro_url","typeLabel":"string | null"},"outro_url":{"oneOf":[{"type":"string","description":"The URL of an outro audio file to play after all content in the player.","uniqueKey":"outro_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The URL of an outro audio file to play after all content in the player.","uniqueKey":"outro_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"outro_url","typeLabel":"string | null"},"intro_outro_enabled":{"type":"boolean","description":"Whether or not the intro and outro should be played. The default is `false`","deprecated":true,"uniqueKey":"intro_outro_enabled","typeLabel":"boolean"},"download_button_enabled":{"type":"boolean","description":"Whether to show a download button next to each playlist item in the player","uniqueKey":"download_button_enabled","typeLabel":"boolean"},"analytics_custom_url":{"oneOf":[{"type":"string","description":"Custom analytics server URL","uniqueKey":"analytics_custom_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"Custom analytics server URL","uniqueKey":"analytics_custom_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"analytics_custom_url","typeLabel":"string | null"},"analytics_tag_enabled":{"oneOf":[{"type":"string","description":"Google Analytics tag enabled","uniqueKey":"analytics_tag_enabled.oneOf.0","typeLabel":"string"},{"type":"null","description":"Google Analytics tag enabled","uniqueKey":"analytics_tag_enabled.oneOf.1","typeLabel":"null"}],"uniqueKey":"analytics_tag_enabled","typeLabel":"string | null"},"analytics_tag":{"oneOf":[{"type":"string","description":"Google Analytics tag","uniqueKey":"analytics_tag.oneOf.0","typeLabel":"string"},{"type":"null","description":"Google Analytics tag","uniqueKey":"analytics_tag.oneOf.1","typeLabel":"null"}],"uniqueKey":"analytics_tag","typeLabel":"string | null"},"logo_icon_enabled":{"type":"boolean","description":"Whether to show the BeyondWords logo in the player","uniqueKey":"logo_icon_enabled","typeLabel":"boolean"},"word_highlights_enabled":{"type":"boolean","uniqueKey":"word_highlights_enabled","typeLabel":"boolean"},"continuous_playback_mode":{"type":"string","enum":["none","recent"],"description":"The continuous playback mode. Possible values are `none` or `recent`","uniqueKey":"continuous_playback_mode","typeLabel":"enum\u003cstring>"},"outro_playback_mode":{"type":"string","enum":["after-all","after-each"],"description":"The outro playback mode. Possible values are `after-all` or `after-each`","uniqueKey":"outro_playback_mode","typeLabel":"enum\u003cstring>"},"radius":{"type":"integer","description":"The corner radius of the player, in pixels. The default is `8`. Only affects players with the default player_style","uniqueKey":"radius","typeLabel":"integer"},"disclosure_text":{"oneOf":[{"type":"string","description":"The disclosure text to show in the player. Only affects players with the default player_style","uniqueKey":"disclosure_text.oneOf.0","typeLabel":"string"},{"type":"null","description":"The disclosure text to show in the player. Only affects players with the default player_style","uniqueKey":"disclosure_text.oneOf.1","typeLabel":"null"}],"uniqueKey":"disclosure_text","typeLabel":"string | null"},"disclosure_link":{"oneOf":[{"type":"string","description":"The URL the disclosure text links to. Only affects players with the default player_style","uniqueKey":"disclosure_link.oneOf.0","typeLabel":"string"},{"type":"null","description":"The URL the disclosure text links to. Only affects players with the default player_style","uniqueKey":"disclosure_link.oneOf.1","typeLabel":"null"}],"uniqueKey":"disclosure_link","typeLabel":"string | null"},"agent_avatar_url":{"oneOf":[{"type":"string","description":"The URL of an avatar image to show for the agent in the player","uniqueKey":"agent_avatar_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The URL of an avatar image to show for the agent in the player","uniqueKey":"agent_avatar_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent_avatar_url","typeLabel":"string | null"},"agent_placeholder":{"oneOf":[{"type":"string","description":"The placeholder text to show in the agent input field in the player","uniqueKey":"agent_placeholder.oneOf.0","typeLabel":"string"},{"type":"null","description":"The placeholder text to show in the agent input field in the player","uniqueKey":"agent_placeholder.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent_placeholder","typeLabel":"string | null"},"agent_shortcuts":{"type":"array","description":"Suggested prompts to show in the agent user interface in the player. The default is an empty array","items":{"type":"string","uniqueKey":"agent_shortcuts.items.[INDEX]","typeLabel":"string"},"uniqueKey":"agent_shortcuts","typeLabel":"string[]"},"info_text":{"oneOf":[{"type":"string","description":"The informational text to show in the agent user interface in the player","uniqueKey":"info_text.oneOf.0","typeLabel":"string"},{"type":"null","description":"The informational text to show in the agent user interface in the player","uniqueKey":"info_text.oneOf.1","typeLabel":"null"}],"uniqueKey":"info_text","typeLabel":"string | null"},"variants":{"type":"array","description":"The content variants to load in the player. Possible values are `article` and `summary`. The default is `[\"article\"]`","items":{"type":"string","enum":["article","summary"],"uniqueKey":"variants.items.[INDEX]","typeLabel":"enum\u003cstring>"},"uniqueKey":"variants","typeLabel":"enum\u003cstring>[]"},"embed_mode":{"type":"string","enum":["audio","audio-agent","agent"],"description":"The user interface mode of the player. Possible values are `audio`, `audio-agent`, or `agent`. The default is `audio`","uniqueKey":"embed_mode","typeLabel":"enum\u003cstring>"},"widget_embed_mode":{"type":"string","enum":["auto","audio","audio-agent","agent"],"description":"The user interface mode of the widget. Possible values are `auto`, `audio`, `audio-agent`, or `agent`. The `auto` mode follows the embed_mode of the player. The default is `auto`","uniqueKey":"widget_embed_mode","typeLabel":"enum\u003cstring>"},"agent_voice_enabled":{"type":"boolean","description":"Whether voice conversations with the agent are enabled in the player. The default is `true`","uniqueKey":"agent_voice_enabled","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"examples":{"example":{"title":"example","summary":"A sample player settings request","value":{"player_version":"1","player_style":"standard","playlist_style":"auto-5-5","playlist_toggle":"auto","player_Title":"My project","call_to_action":"Listen to this article","image_url":"https://example.com/image.jpeg","theme":"auto","dark_theme":{"background_color":"#212121","text_color":"#fafafa","secondary_text_color":"#989898","icon_color":"#fafafa","subtle_color":"rgba(250, 250, 250, 0.18)","link_color":"#af6cfd","highlight_color":"rgba(164, 255, 0, 0.2)","word_highlight_color":"rgba(164, 255, 0, 0.4)","agent_color":"linear-gradient(100deg, #943bfc, #e23ad0)","accent_color":"#373737","accent_text_color":"#fafafa"},"light_theme":{"background_color":"#f5f5f5","text_color":"#212121","secondary_text_color":"#6d6d6d","icon_color":"#212121","subtle_color":"rgba(33, 33, 33, 0.1)","link_color":"#8d38ef","highlight_color":"rgba(164, 255, 0, 0.2)","word_highlight_color":"rgba(164, 255, 0, 0.8)","agent_color":"linear-gradient(100deg, #943bfc, #e23ad0)","accent_color":"#ffffff","accent_text_color":"#212121"},"video_theme":{"background_color":"#000000","text_color":"#ffffff","icon_color":"#ffffff","subtle_color":"rgba(255, 255, 255, 0.3)"},"title_enabled":false,"image_enabled":false,"persistent_ad_image":false,"widget_style":"small","widget_position":"auto","segment_playback_enabled":true,"segment_highlights_enabled":true,"skip_button_style":"seconds-15-30","intro_url":"https://example.com/intro.mp3","outro_url":"https://example.com/outro.mp3","intro_outro_enabled":true,"download_button_enabled":false,"logo_icon_enabled":true,"variants":["article"],"embed_mode":"audio","widget_embed_mode":"auto","agent_voice_enabled":true,"continuous_playback_mode":"none","outro_playback_mode":"after-all","radius":8,"disclosure_text":"Powered by AI","disclosure_link":"https://example.com/disclosure","agent_avatar_url":"https://example.com/avatar.jpeg","agent_placeholder":"Ask about this article, or anything we've covered…","agent_shortcuts":["What are today's headlines?"],"info_text":"AI can make mistakes"}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"912351e5-1840-49bc-9d4a-9484be764a7f":{"description":"OK","content":{"application/json":{"examples":{"example":{"title":"example","summary":"A sample player settings response","value":{"player_version":"1","player_style":"standard","playlist_style":"auto-5-5","playlist_toggle":"auto","player_Title":"My Project","call_to_action":"Listen to this article","image_url":"https://example.com/image.jpeg","theme":"auto","dark_theme":{"background_color":"#212121","text_color":"#fafafa","secondary_text_color":"#989898","icon_color":"#fafafa","subtle_color":"rgba(250, 250, 250, 0.18)","link_color":"#af6cfd","highlight_color":"rgba(164, 255, 0, 0.2)","word_highlight_color":"rgba(164, 255, 0, 0.4)","agent_color":"linear-gradient(100deg, #943bfc, #e23ad0)","accent_color":"#373737","accent_text_color":"#fafafa"},"light_theme":{"background_color":"#f5f5f5","text_color":"#212121","secondary_text_color":"#6d6d6d","icon_color":"#212121","subtle_color":"rgba(33, 33, 33, 0.1)","link_color":"#8d38ef","highlight_color":"rgba(164, 255, 0, 0.2)","word_highlight_color":"rgba(164, 255, 0, 0.8)","agent_color":"linear-gradient(100deg, #943bfc, #e23ad0)","accent_color":"#ffffff","accent_text_color":"#212121"},"video_theme":{"background_color":"#000000","text_color":"#ffffff","icon_color":"#ffffff","subtle_color":"rgba(255, 255, 255, 0.3)"},"title_enabled":false,"image_enabled":false,"persistent_ad_image":false,"widget_style":"standard","widget_position":"auto","segment_playback_enabled":true,"segment_highlights_enabled":true,"skip_button_style":"seconds-15-30","intro_url":"https://example.com/intro.mp3","outro_url":"https://example.com/outro.mp3","intro_outro_enabled":false,"download_button_enabled":false,"logo_icon_enabled":true,"analytics_enabled":false,"analytics_uuid_enabled":true,"analytics_url":"https://metrics.beyondwords.io","analytics_custom_url":"https://custom_metrics.beyondwords.io","analytics_id":123,"analytics_tag_enabled":true,"analytics_tag":"UA-123","continuous_playback_mode":"none","outro_playback_mode":"after-all","radius":8,"disclosure_text":"Powered by AI","disclosure_link":"https://example.com/disclosure","agent_avatar_url":"https://example.com/avatar.jpeg","agent_placeholder":"Ask about this article, or anything we've covered…","agent_shortcuts":["What are today's headlines?"],"info_text":"AI can make mistakes","variants":["article"],"embed_mode":"audio","widget_embed_mode":"auto","agent_voice_enabled":true,"updated":"2023-01-01 00:00:00 UTC"}}},"schema":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether the player distribution is on or off","uniqueKey":"enabled","typeLabel":"boolean"},"player_version":{"type":"string","enum":["0","1"],"description":"The player version to use. Possible values are `0` for legacy and `1` for the current","uniqueKey":"player_version","typeLabel":"enum\u003cstring>"},"player_style":{"type":"string","enum":["default","small","standard","large","video"],"description":"The style of user interface to show for the player. Possible values are `default`, `small`, `standard`, `large`, or `video`","uniqueKey":"player_style","typeLabel":"enum\u003cstring>"},"playlist_style":{"type":"string","description":"Controls playlist visibility and the maximum visible desktop and mobile rows. For example, `auto-5-5` shows playlists automatically with five desktop and mobile rows","uniqueKey":"playlist_style","typeLabel":"string"},"playlist_toggle":{"type":"string","enum":["auto","show","hide"],"description":"Controls whether the playlist toggle is shown. Possible values are `auto`, `show`, or `hide`","uniqueKey":"playlist_toggle","typeLabel":"enum\u003cstring>"},"player_title":{"oneOf":[{"type":"string","description":"The title to show in the `large` player when there isn't a playlist","uniqueKey":"player_title.oneOf.0","typeLabel":"string"},{"type":"null","description":"The title to show in the `large` player when there isn't a playlist","uniqueKey":"player_title.oneOf.1","typeLabel":"null"}],"uniqueKey":"player_title","typeLabel":"string | null"},"call_to_action":{"type":"string","description":"The text prompt to show on the player","uniqueKey":"call_to_action","typeLabel":"string"},"image_url":{"oneOf":[{"type":"string","description":"An image to show in the player instead of the content's image","uniqueKey":"image_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"An image to show in the player instead of the content's image","uniqueKey":"image_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"image_url","typeLabel":"string | null"},"theme":{"type":"string","enum":["auto","dark","light"],"description":"The color theme to use for the player. Possible values are `auto`, `dark`, or `light` The 'auto' theme is based on the user's light/dark mode system preference.","uniqueKey":"theme","typeLabel":"enum\u003cstring>"},"dark_theme":{"type":"object","description":"The dark theme colors","properties":{"background_color":{"type":"string","description":"The player surface color","uniqueKey":"dark_theme.background_color","typeLabel":"string"},"text_color":{"type":"string","description":"The primary text color","uniqueKey":"dark_theme.text_color","typeLabel":"string"},"secondary_text_color":{"type":"string","description":"The secondary text, metadata, caption, placeholder, and disabled-copy color","uniqueKey":"dark_theme.secondary_text_color","typeLabel":"string"},"icon_color":{"type":"string","description":"The transport and utility control color","uniqueKey":"dark_theme.icon_color","typeLabel":"string"},"subtle_color":{"type":"string","description":"The progress-track, divider, skeleton, citation-border, and quiet-border color","uniqueKey":"dark_theme.subtle_color","typeLabel":"string"},"link_color":{"type":"string","description":"The link, call-to-action, citation, and underline color","uniqueKey":"dark_theme.link_color","typeLabel":"string"},"highlight_color":{"type":"string","description":"The section highlight color","uniqueKey":"dark_theme.highlight_color","typeLabel":"string"},"word_highlight_color":{"type":"string","description":"The current-word highlight color","uniqueKey":"dark_theme.word_highlight_color","typeLabel":"string"},"agent_color":{"type":"string","description":"The agent color or CSS background gradient","uniqueKey":"dark_theme.agent_color","typeLabel":"string"},"accent_color":{"type":"string","description":"The user-message background color","uniqueKey":"dark_theme.accent_color","typeLabel":"string"},"accent_text_color":{"type":"string","description":"The user-message text color","uniqueKey":"dark_theme.accent_text_color","typeLabel":"string"}},"uniqueKey":"dark_theme","typeLabel":"object"},"light_theme":{"type":"object","description":"The light theme colors","properties":{"background_color":{"type":"string","description":"The player surface color","uniqueKey":"light_theme.background_color","typeLabel":"string"},"text_color":{"type":"string","description":"The primary text color","uniqueKey":"light_theme.text_color","typeLabel":"string"},"secondary_text_color":{"type":"string","description":"The secondary text, metadata, caption, placeholder, and disabled-copy color","uniqueKey":"light_theme.secondary_text_color","typeLabel":"string"},"icon_color":{"type":"string","description":"The transport and utility control color","uniqueKey":"light_theme.icon_color","typeLabel":"string"},"subtle_color":{"type":"string","description":"The progress-track, divider, skeleton, citation-border, and quiet-border color","uniqueKey":"light_theme.subtle_color","typeLabel":"string"},"link_color":{"type":"string","description":"The link, call-to-action, citation, and underline color","uniqueKey":"light_theme.link_color","typeLabel":"string"},"highlight_color":{"type":"string","description":"The section highlight color","uniqueKey":"light_theme.highlight_color","typeLabel":"string"},"word_highlight_color":{"type":"string","description":"The current-word highlight color","uniqueKey":"light_theme.word_highlight_color","typeLabel":"string"},"agent_color":{"type":"string","description":"The agent color or CSS background gradient","uniqueKey":"light_theme.agent_color","typeLabel":"string"},"accent_color":{"type":"string","description":"The user-message background color","uniqueKey":"light_theme.accent_color","typeLabel":"string"},"accent_text_color":{"type":"string","description":"The user-message text color","uniqueKey":"light_theme.accent_text_color","typeLabel":"string"}},"uniqueKey":"light_theme","typeLabel":"object"},"video_theme":{"type":"object","description":"The video theme colors","properties":{"background_color":{"type":"string","description":"The video surface color","uniqueKey":"video_theme.background_color","typeLabel":"string"},"text_color":{"type":"string","description":"The video text color","uniqueKey":"video_theme.text_color","typeLabel":"string"},"icon_color":{"type":"string","description":"The video control icon color","uniqueKey":"video_theme.icon_color","typeLabel":"string"},"subtle_color":{"type":"string","description":"The video subtle control color","uniqueKey":"video_theme.subtle_color","typeLabel":"string"}},"uniqueKey":"video_theme","typeLabel":"object"},"title_enabled":{"type":"boolean","description":"Whether to always show the content's title (e.g. instead of the call_to_action)","uniqueKey":"title_enabled","typeLabel":"boolean"},"image_enabled":{"type":"boolean","description":"Whether to show or hide the image in the player","deprecated":true,"uniqueKey":"image_enabled","typeLabel":"boolean"},"persistent_ad_image":{"type":"boolean","description":"Whether to show clickable ad images in the player when the ad isn't playing","uniqueKey":"persistent_ad_image","typeLabel":"boolean"},"widget_style":{"type":"string","enum":["none","small","standard","large","video"],"description":"The style of user interface to show for the widget at the bottom of the screen. Possible values are `none`, `small`, `standard`, `large`, `video` The widget appears once you scroll past the player in the page.","uniqueKey":"widget_style","typeLabel":"enum\u003cstring>"},"widget_position":{"type":"string","enum":["auto","left","center","right"],"description":"The side of the screen on which to show the widget. Possible values are `auto`, `left`, `center`, `right` The 'auto' position places the standard player in the center, otherwise to the right.","uniqueKey":"widget_position","typeLabel":"enum\u003cstring>"},"segment_playback_enabled":{"type":"boolean","description":"Whether to allow playback by clicking on a segment (i.e. a paragraph) on the page","uniqueKey":"segment_playback_enabled","typeLabel":"boolean"},"segment_highlights_enabled":{"type":"boolean","description":"Whether segments should be highlighted in time with content playback","uniqueKey":"segment_highlights_enabled","typeLabel":"boolean"},"skip_button_style":{"type":"string","description":"The style of skip buttons to show in the player. Possible values are `segments` or `seconds` You can specify the number of seconds to skip, e.g. `seconds-15` or `seconds-15-30`","uniqueKey":"skip_button_style","typeLabel":"string"},"intros_outros":{"type":"array","description":"The URLs of intros and outros audio files","items":{"type":"object","properties":{"placement":{"type":"string","uniqueKey":"intros_outros.items.[INDEX].placement","typeLabel":"string"},"audio":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string","uniqueKey":"intros_outros.items.[INDEX].audio.items.[INDEX].url","typeLabel":"string"}},"uniqueKey":"intros_outros.items.[INDEX].audio.items.[INDEX]","typeLabel":"object"},"uniqueKey":"intros_outros.items.[INDEX].audio","typeLabel":"object[]"},"video":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string","uniqueKey":"intros_outros.items.[INDEX].video.items.[INDEX].url","typeLabel":"string"}},"uniqueKey":"intros_outros.items.[INDEX].video.items.[INDEX]","typeLabel":"object"},"uniqueKey":"intros_outros.items.[INDEX].video","typeLabel":"object[]"}},"uniqueKey":"intros_outros.items.[INDEX]","typeLabel":"object"},"uniqueKey":"intros_outros","typeLabel":"object[]"},"intro_url":{"oneOf":[{"type":"string","description":"The URL of an intro audio file to play before all content in the player","uniqueKey":"intro_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The URL of an intro audio file to play before all content in the player","uniqueKey":"intro_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"intro_url","typeLabel":"string | null"},"outro_url":{"oneOf":[{"type":"string","description":"The URL of an outro audio file to play after all content in the player","uniqueKey":"outro_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The URL of an outro audio file to play after all content in the player","uniqueKey":"outro_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"outro_url","typeLabel":"string | null"},"intro_outro_enabled":{"type":"boolean","description":"Whether or not the intro and outro should be played. The default is `false`","deprecated":true,"uniqueKey":"intro_outro_enabled","typeLabel":"boolean"},"download_button_enabled":{"type":"boolean","description":"Whether to show a download button next to each playlist item in the player.","uniqueKey":"download_button_enabled","typeLabel":"boolean"},"logo_icon_enabled":{"type":"boolean","description":"Whether to show the BeyondWords logo in the player.","uniqueKey":"logo_icon_enabled","typeLabel":"boolean"},"analytics_enabled":{"type":"boolean","description":"Analytics enabled.","uniqueKey":"analytics_enabled","typeLabel":"boolean"},"analytics_uuid_enabled":{"type":"boolean","description":"Analytics uuid enabled.","uniqueKey":"analytics_uuid_enabled","typeLabel":"boolean"},"analytics_url":{"type":"string","description":"Analytics server URL","uniqueKey":"analytics_url","typeLabel":"string"},"analytics_custom_url":{"oneOf":[{"type":"string","description":"Custom analytics server URL","uniqueKey":"analytics_custom_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"Custom analytics server URL","uniqueKey":"analytics_custom_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"analytics_custom_url","typeLabel":"string | null"},"analytics_id":{"type":"integer","description":"Analytics ID","uniqueKey":"analytics_id","typeLabel":"integer"},"analytics_tag_enabled":{"type":"boolean","description":"Analytics tag enabled","uniqueKey":"analytics_tag_enabled","typeLabel":"boolean"},"analytics_tag":{"oneOf":[{"type":"string","description":"Google Analytics tag","uniqueKey":"analytics_tag.oneOf.0","typeLabel":"string"},{"type":"null","description":"Google Analytics tag","uniqueKey":"analytics_tag.oneOf.1","typeLabel":"null"}],"uniqueKey":"analytics_tag","typeLabel":"string | null"},"updated":{"type":"string","description":"Time at which the object was updated (ISO 8601)","uniqueKey":"updated","typeLabel":"string"},"word_highlights_enabled":{"type":"boolean","uniqueKey":"word_highlights_enabled","typeLabel":"boolean"},"continuous_playback_mode":{"type":"string","enum":["none","recent"],"description":"The continuous playback mode. Possible values are `none` or `recent`","uniqueKey":"continuous_playback_mode","typeLabel":"enum\u003cstring>"},"outro_playback_mode":{"type":"string","enum":["after-all","after-each"],"description":"The outro playback mode. Possible values are `after-all` or `after-each`","uniqueKey":"outro_playback_mode","typeLabel":"enum\u003cstring>"},"radius":{"type":"integer","description":"The corner radius of the player, in pixels. The default is `8`. Only affects players with the default player_style","uniqueKey":"radius","typeLabel":"integer"},"disclosure_text":{"oneOf":[{"type":"string","description":"The disclosure text to show in the player. Only affects players with the default player_style","uniqueKey":"disclosure_text.oneOf.0","typeLabel":"string"},{"type":"null","description":"The disclosure text to show in the player. Only affects players with the default player_style","uniqueKey":"disclosure_text.oneOf.1","typeLabel":"null"}],"uniqueKey":"disclosure_text","typeLabel":"string | null"},"disclosure_link":{"oneOf":[{"type":"string","description":"The URL the disclosure text links to. Only affects players with the default player_style","uniqueKey":"disclosure_link.oneOf.0","typeLabel":"string"},{"type":"null","description":"The URL the disclosure text links to. Only affects players with the default player_style","uniqueKey":"disclosure_link.oneOf.1","typeLabel":"null"}],"uniqueKey":"disclosure_link","typeLabel":"string | null"},"agent_avatar_url":{"oneOf":[{"type":"string","description":"The URL of an avatar image to show for the agent in the player","uniqueKey":"agent_avatar_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The URL of an avatar image to show for the agent in the player","uniqueKey":"agent_avatar_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent_avatar_url","typeLabel":"string | null"},"agent_placeholder":{"oneOf":[{"type":"string","description":"The placeholder text to show in the agent input field in the player","uniqueKey":"agent_placeholder.oneOf.0","typeLabel":"string"},{"type":"null","description":"The placeholder text to show in the agent input field in the player","uniqueKey":"agent_placeholder.oneOf.1","typeLabel":"null"}],"uniqueKey":"agent_placeholder","typeLabel":"string | null"},"agent_shortcuts":{"type":"array","description":"Suggested prompts to show in the agent user interface in the player. The default is an empty array","items":{"type":"string","uniqueKey":"agent_shortcuts.items.[INDEX]","typeLabel":"string"},"uniqueKey":"agent_shortcuts","typeLabel":"string[]"},"info_text":{"oneOf":[{"type":"string","description":"The informational text to show in the agent user interface in the player","uniqueKey":"info_text.oneOf.0","typeLabel":"string"},{"type":"null","description":"The informational text to show in the agent user interface in the player","uniqueKey":"info_text.oneOf.1","typeLabel":"null"}],"uniqueKey":"info_text","typeLabel":"string | null"},"variants":{"type":"array","description":"The content variants to load in the player. Possible values are `article` and `summary`. The default is `[\"article\"]`","items":{"type":"string","enum":["article","summary"],"uniqueKey":"variants.items.[INDEX]","typeLabel":"enum\u003cstring>"},"uniqueKey":"variants","typeLabel":"enum\u003cstring>[]"},"embed_mode":{"type":"string","enum":["audio","audio-agent","agent"],"description":"The user interface mode of the player. Possible values are `audio`, `audio-agent`, or `agent`. The default is `audio`","uniqueKey":"embed_mode","typeLabel":"enum\u003cstring>"},"widget_embed_mode":{"type":"string","enum":["auto","audio","audio-agent","agent"],"description":"The user interface mode of the widget. Possible values are `auto`, `audio`, `audio-agent`, or `agent`. The `auto` mode follows the embed_mode of the player. The default is `auto`","uniqueKey":"widget_embed_mode","typeLabel":"enum\u003cstring>"},"agent_voice_enabled":{"type":"boolean","description":"Whether voice conversations with the agent are enabled in the player. The default is `true`","uniqueKey":"agent_voice_enabled","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"c0b8818f-0aa6-472a-8fc9-132097f5dfb8":{"apiKey":{"type":"apiKey","name":"X-Api-Key","in":"header","scopes":[],"schemeName":"apiKey"}}},"servers":{"5783a90f-4950-42a2-a170-552af1f6d9aa":{"url":"https://api.beyondwords.io/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","name":"X-Api-Key","in":"header","scopes":[],"schemeName":"apiKey"},"schema":{"title":"X-Api-Key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKey","name":"X-Api-Key"}],"title":"apiKey"}]},"originalFileLocation":"https://api.beyondwords.io/swagger/v1/swagger.yaml"},"subdomain":"beyondwords","siteName":"Docs and guides","title":"Update player settings - Docs and guides","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-06-11T10:10:11.489Z","originalFileLocation":"api-reference/player-settings/update.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Updates the player settings for a project\">\u003cmeta data-mint-head name=\"application-name\" content=\"Docs and guides\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/beyondwords/XS-CwsB9cNWQe75s/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/beyondwords/XS-CwsB9cNWQe75s/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/beyondwords/XS-CwsB9cNWQe75s/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/beyondwords/XS-CwsB9cNWQe75s/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/beyondwords/XS-CwsB9cNWQe75s/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/beyondwords/XS-CwsB9cNWQe75s/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/beyondwords/XS-CwsB9cNWQe75s/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/beyondwords/XS-CwsB9cNWQe75s/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/beyondwords/XS-CwsB9cNWQe75s/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update player settings - Docs and guides\">\u003cmeta data-mint-head property=\"og:description\" content=\"Updates the player settings for a project\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Docs and guides\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.beyondwords.io/api-reference/player-settings/update\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://beyondwords.mintlify.site/_mintlify/api/og/v2?division=Player+settings\u0026amp;title=Update+player+settings\u0026amp;description=Updates+the+player+settings+for+a+project\u0026amp;theme=0945647b76bc78bc264b5039\u0026amp;signature=014dae53b7d75be52d19879e964d9acec60045524c648aadc684da3b262807cd\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update player settings - Docs and guides\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Updates the player settings for a project\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://beyondwords.mintlify.site/_mintlify/api/og/v2?division=Player+settings\u0026amp;title=Update+player+settings\u0026amp;description=Updates+the+player+settings+for+a+project\u0026amp;theme=0945647b76bc78bc264b5039\u0026amp;signature=014dae53b7d75be52d19879e964d9acec60045524c648aadc684da3b262807cd\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/beyondwords/XS-CwsB9cNWQe75s/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Docs and guides\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#943AFC\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.beyondwords.io/api-reference/player-settings/update\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/player-settings/update.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.beyondwords.io/#organization\",\"name\":\"Docs and guides\",\"url\":\"https://docs.beyondwords.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/beyondwords/-xTOVbYlCFtcbESd/assets/images/beyondwords/logo-mono-light.svg?fit=max\u0026auto=format\u0026n=-xTOVbYlCFtcbESd\u0026q=85\u0026s=f7ef97de700b0d66a30f62003ea5e846\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.beyondwords.io#website\",\"name\":\"Docs and guides\",\"url\":\"https://docs.beyondwords.io\",\"publisher\":{\"@id\":\"https://docs.beyondwords.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.beyondwords.io/api-reference/player-settings/update#webpage\",\"url\":\"https://docs.beyondwords.io/api-reference/player-settings/update\",\"name\":\"Update player settings\",\"description\":\"Updates the player settings for a project\",\"dateModified\":\"2026-06-11T10:10:11.489Z\",\"isPartOf\":{\"@id\":\"https://docs.beyondwords.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.beyondwords.io/api-reference/player-settings/update#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.beyondwords.io/api-reference/player-settings/update#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Distribution\",\"item\":\"https://docs.beyondwords.io/api-reference/player/by-content-id\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Player settings\",\"item\":\"https://docs.beyondwords.io/api-reference/player-settings/show\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Update player settings\",\"item\":\"https://docs.beyondwords.io/api-reference/player-settings/update\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.beyondwords.io/api-reference/player-settings/update#apireference\",\"headline\":\"Update player settings\",\"name\":\"Update player settings\",\"description\":\"Updates the player settings for a project\",\"url\":\"https://docs.beyondwords.io/api-reference/player-settings/update\",\"mainEntityOfPage\":{\"@id\":\"https://docs.beyondwords.io/api-reference/player-settings/update#webpage\"},\"dateModified\":\"2026-06-11T10:10:11.489Z\",\"publisher\":{\"@id\":\"https://docs.beyondwords.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.beyondwords.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Docs and guides\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Docs and guides\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/player-settings/update.md","siteName":"Docs and guides","nav":{"global":null,"anchors":[{"anchor":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":"/docs-and-guides/get-started/introduction"}]},{"anchor":"API reference","icon":"rectangle-terminal","groups":[{"group":"Getting started","pages":[{"title":"Overview","href":"/api-reference/overview"}]},{"group":"Content","pages":[{"group":"Items","pages":[{"group":"Developer guide","pages":[{"title":"Generating content","sidebarTitle":"Overview","href":"/api-reference/content/introduction"},{"title":"Content object","sidebarTitle":"Content object","href":"/api-reference/content/overview"},{"title":"Processing types","sidebarTitle":"Processing types","href":"/api-reference/content/processing-types"},{"title":"Replace audio","sidebarTitle":"Replace audio","href":"/api-reference/content/replace-audio"},{"title":"Syndication","sidebarTitle":"Syndication","href":"/api-reference/content/syndicated"}]},{"title":"Create and generate content","sidebarTitle":"Create content","openapi":"post /projects/{project_id}/content","href":"/api-reference/content/create"},{"title":"Get content","openapi":"get /projects/{project_id}/content/{id}","href":"/api-reference/content/show"},{"title":"Update content","openapi":"put /projects/{project_id}/content/{id}","href":"/api-reference/content/update"},{"title":"Delete content","openapi":"delete /projects/{project_id}/content/{id}","href":"/api-reference/content/delete"},{"title":"Regenerate content","sidebarTitle":"Regenerate","openapi":"post /projects/{project_id}/content/{id}/regenerate","href":"/api-reference/content/regenerate"},{"title":"Summarize content","openapi":"post /projects/{project_id}/content/{id}/summarize","href":"/api-reference/content/summarize"},{"title":"Upload file","openapi":"post /upload","href":"/api-reference/content/upload"},{"title":"List content","openapi":"get /projects/{project_id}/content","href":"/api-reference/content/list"}]}]},{"group":"Extraction","pages":[{"group":"Filters","pages":[{"title":"Content filters overview","sidebarTitle":"Overview","href":"/api-reference/content-filters/overview"},{"title":"List content filters","openapi":"get /html_filters","href":"/api-reference/content-filters/list"},{"title":"Create content filter","openapi":"post /html_filters","href":"/api-reference/content-filters/create"},{"title":"Get content filter","openapi":"get /html_filters/{id}","href":"/api-reference/content-filters/show"},{"title":"Update content filter","openapi":"put /html_filters/{id}","href":"/api-reference/content-filters/update"},{"title":"Delete content filter","openapi":"delete /html_filters/{id}","href":"/api-reference/content-filters/delete"}]},{"group":"Extraction settings","pages":[{"title":"Get content extraction settings","openapi":"get /projects/{project_id}/content_extraction_settings","href":"/api-reference/content-extraction-settings/show"},{"title":"Update content extraction settings","openapi":"put /projects/{project_id}/content_extraction_settings","href":"/api-reference/content-extraction-settings/update"}]}]},{"group":"Pronunciation settings","pages":[{"title":"List pronunciation rules","openapi":"get /rules","href":"/api-reference/rules/list"},{"title":"Create pronunciation rule","openapi":"post /rules","href":"/api-reference/rules/create"},{"title":"Get pronunciation rule","openapi":"get /rules/{id}","href":"/api-reference/rules/show"},{"title":"Update pronunciation rule","openapi":"put /rules/{id}","href":"/api-reference/rules/update"},{"title":"Delete pronunciation rule","openapi":"delete /rules/{id}","href":"/api-reference/rules/delete"}]},{"group":"Summary settings","pages":[{"title":"Get project summary settings","openapi":"get /projects/{project_id}/summarization_settings","href":"/api-reference/summarization-settings/show"},{"title":"Update project summary settings","openapi":"put /projects/{project_id}/summarization_settings","href":"/api-reference/summarization-settings/update"},{"group":"Summary templates","pages":[{"title":"List summary templates","openapi":"get /summarization_settings_templates","href":"/api-reference/summarization-settings-templates/list"},{"title":"Create summary template","openapi":"post /summarization_settings_templates","href":"/api-reference/summarization-settings-templates/create"},{"title":"Get summary template","openapi":"get /summarization_settings_templates/{slug}","href":"/api-reference/summarization-settings-templates/show"},{"title":"Update summary template","openapi":"put /summarization_settings_templates/{slug}","href":"/api-reference/summarization-settings-templates/update"},{"title":"Delete summary template","openapi":"delete /summarization_settings_templates/{slug}","href":"/api-reference/summarization-settings-templates/delete"}]}]},{"group":"Video settings","pages":[{"title":"Get video settings","openapi":"get /projects/{project_id}/video_settings","href":"/api-reference/video-settings/show"},{"title":"Update video settings","openapi":"put /projects/{project_id}/video_settings","href":"/api-reference/video-settings/update"},{"group":"Video templates","pages":[{"title":"List video settings templates","openapi":"get /video_settings_templates","href":"/api-reference/video-settings-templates/list"},{"title":"Create video settings template","openapi":"post /video_settings_templates","href":"/api-reference/video-settings-templates/create"},{"title":"Get video settings template","openapi":"get /video_settings_templates/{slug}","href":"/api-reference/video-settings-templates/show"},{"title":"Update video settings template","openapi":"put /video_settings_templates/{slug}","href":"/api-reference/video-settings-templates/update"},{"title":"Delete video settings template","openapi":"delete /video_settings_templates/{slug}","href":"/api-reference/video-settings-templates/delete"},{"title":"Preview video settings template","openapi":"post /video_settings_templates/preview","href":"/api-reference/video-settings-templates/preview"}]}]},{"group":"Background music settings","pages":[{"title":"List background tracks","openapi":"get /background_tracks","href":"/api-reference/background-tracks/list"},{"title":"Create background tracks","openapi":"post /background_tracks","href":"/api-reference/background-tracks/create"},{"title":"Get background track","openapi":"get /background_tracks/{id}","href":"/api-reference/background-tracks/show"},{"title":"Update background track","openapi":"put /background_tracks/{id}","href":"/api-reference/background-tracks/update"},{"title":"Delete background track","openapi":"delete /background_tracks/{id}","href":"/api-reference/background-tracks/delete"}]},{"group":"Voices","pages":[{"group":"Voices","pages":[{"title":"List voices","openapi":"get /organization/voices","href":"/api-reference/voices/list"},{"title":"Get voice","openapi":"get /organization/voices/{id}","href":"/api-reference/voices/show"},{"title":"Update voice","openapi":"put /organization/voices/{id}","href":"/api-reference/voices/update"},{"title":"Delete voice","openapi":"delete /organization/voices/{id}","href":"/api-reference/voices/delete"}]},{"group":"Voice generation","pages":[{"title":"Design voice previews","openapi":"post /organization/voices/design_previews","href":"/api-reference/voices/design-previews"},{"title":"Finalize voice design","openapi":"post /organization/voices/finalize_design","href":"/api-reference/voices/finalize-design"}]},{"group":"Speakers","pages":[{"title":"List speakers","openapi":"get /speakers","href":"/api-reference/speakers/list"},{"title":"Create speaker","openapi":"post /speakers","href":"/api-reference/speakers/create"},{"title":"Get speaker","openapi":"get /speakers/{id}","href":"/api-reference/speakers/show"},{"title":"Update speaker","openapi":"put /speakers/{id}","href":"/api-reference/speakers/update"},{"title":"Delete speaker","openapi":"delete /speakers/{id}","href":"/api-reference/speakers/delete"}]},{"group":"Voice cloning","pages":[{"title":"Create voice","openapi":"post /organization/voices","href":"/api-reference/voices/create"},{"title":"Clone instant voice","openapi":"post /organization/voices/{id}/clone","href":"/api-reference/voices/clone"}]},{"group":"Languages","pages":[{"title":"List languages","openapi":"get /organization/languages","href":"/api-reference/languages/list"}]}]},{"group":"Distribution","pages":[{"group":"Player","pages":[{"title":"Get player by content ID","openapi":"get /projects/{project_id}/player/by_content_id/{id}","href":"/api-reference/player/by-content-id"},{"title":"Get player by source ID","openapi":"get /projects/{project_id}/player/by_source_id/{id}","href":"/api-reference/player/by-source-id"},{"title":"Get player by source URL","openapi":"get /projects/{project_id}/player/by_source_url/{url}","href":"/api-reference/player/by-source-url"},{"title":"Get player by playlist ID","openapi":"get /projects/{project_id}/player/by_playlist_id/{id}","href":"/api-reference/player/by-playlist-id"},{"title":"Get player by multiple identifiers","openapi":"get /projects/{project_id}/player/by_identifiers/{array}","href":"/api-reference/player/by-identifiers"}]},{"group":"Player settings","pages":[{"title":"Get player settings","openapi":"get /projects/{project_id}/player_settings","description":"Get the player settings for your project","href":"/api-reference/player-settings/show"},{"title":"Update player settings","openapi":"put /projects/{project_id}/player_settings","href":"/api-reference/player-settings/update"}]},{"group":"Access tiers","pages":[{"title":"List access tiers","openapi":"get /projects/{project_id}/player_settings/access_tiers","description":"Lists access tiers configured for a project.","href":"/api-reference/access-tiers/list"},{"title":"Create access tier","openapi":"post /projects/{project_id}/player_settings/access_tiers","href":"/api-reference/access-tiers/create"},{"title":"Get access tier","openapi":"get /projects/{project_id}/player_settings/access_tiers/{id}","href":"/api-reference/access-tiers/show"},{"title":"Update access tier","openapi":"put /projects/{project_id}/player_settings/access_tiers/{id}","href":"/api-reference/access-tiers/update"}]},{"group":"Playlists","pages":[{"title":"List playlists","openapi":"get /projects/{project_id}/playlists","href":"/api-reference/playlists/list"},{"title":"Create playlist","openapi":"post /projects/{project_id}/playlists","href":"/api-reference/playlists/create"},{"title":"Get playlist","openapi":"get /projects/{project_id}/playlists/{id}","href":"/api-reference/playlists/show"},{"title":"Update playlist","openapi":"put /projects/{project_id}/playlists/{id}","href":"/api-reference/playlists/update"},{"title":"Delete playlist","openapi":"delete /projects/{project_id}/playlists/{id}","href":"/api-reference/playlists/delete"}]},{"group":"Podcast feeds","pages":[{"title":"Get podcast feed settings","openapi":"get /projects/{project_id}/playlists/{playlist_id}/settings","href":"/api-reference/podcast-feeds/get-settings"},{"title":"Update podcast feed settings","openapi":"put /projects/{project_id}/playlists/{playlist_id}/settings","href":"/api-reference/podcast-feeds/update-settings"}]}]},{"group":"Integrations","pages":[{"group":"Webhooks","pages":[{"title":"List webhooks","openapi":"get /projects/{project_id}/webhooks","href":"/api-reference/webhooks/list"},{"title":"Create webhook","openapi":"post /projects/{project_id}/webhooks","href":"/api-reference/webhooks/create"},{"title":"Get webhook","openapi":"get /projects/{project_id}/webhooks/{id}","href":"/api-reference/webhooks/show"},{"title":"Update webhook","openapi":"put /projects/{project_id}/webhooks/{id}","href":"/api-reference/webhooks/update"},{"title":"Delete webhook","openapi":"delete /projects/{project_id}/webhooks/{id}","href":"/api-reference/webhooks/delete"},{"title":"Test webhook","openapi":"post /projects/{project_id}/webhooks/test","href":"/api-reference/webhooks/test"}]},{"group":"RSS feed importer","pages":[{"title":"List RSS feed imports","openapi":"get /projects/{project_id}/integrations/rss_importer/feeds","href":"/api-reference/rss-feed-importer/list"},{"title":"Create RSS feed import","openapi":"post /projects/{project_id}/integrations/rss_importer/feeds","href":"/api-reference/rss-feed-importer/create"},{"title":"Get RSS feed import","openapi":"get /projects/{project_id}/integrations/rss_importer/feeds/{id}","href":"/api-reference/rss-feed-importer/show"},{"title":"Update RSS feed import","openapi":"put /projects/{project_id}/integrations/rss_importer/feeds/{id}","href":"/api-reference/rss-feed-importer/update"},{"title":"Delete RSS feed import","openapi":"delete /projects/{project_id}/integrations/rss_importer/feeds/{id}","href":"/api-reference/rss-feed-importer/delete"},{"title":"Run RSS feed import","openapi":"post /projects/{project_id}/integrations/rss_importer/feeds/{id}/run","href":"/api-reference/rss-feed-importer/run"},{"title":"Test RSS feed import","openapi":"post /projects/{project_id}/integrations/rss_importer/feeds/test","href":"/api-reference/rss-feed-importer/test"}]},{"group":"Magic Embed","pages":[{"title":"Get Magic Embed settings","openapi":"get /projects/{project_id}/integrations/client_side","href":"/api-reference/magic-embed/show"},{"title":"Update Magic Embed settings","openapi":"put /projects/{project_id}/integrations/client_side","href":"/api-reference/magic-embed/update"}]},{"group":"Ghost","pages":[{"title":"Get Ghost integration","openapi":"get /projects/{project_id}/integrations/ghost","href":"/api-reference/ghost/show"},{"title":"Update Ghost integration","openapi":"put /projects/{project_id}/integrations/ghost","href":"/api-reference/ghost/update"},{"title":"Test Ghost integration","openapi":"post /projects/{project_id}/integrations/ghost/test","href":"/api-reference/ghost/test"},{"title":"Ghost posts webhook","openapi":"post /projects/{project_id}/integrations/ghost/posts","href":"/api-reference/ghost/posts"}]}]},{"group":"Analytics","pages":[{"group":"Content","pages":[{"group":"Analytics","pages":[{"title":"Get organization analytics","openapi":"get /organization/analytics","href":"/api-reference/analytics/organization-analytics"},{"title":"List projects analytics","openapi":"get /projects/analytics","href":"/api-reference/analytics/projects-analytics"},{"title":"Get project analytics","openapi":"get /projects/{id}/analytics","href":"/api-reference/analytics/project-analytics"},{"title":"List content analytics","openapi":"get /projects/{project_id}/content/analytics","href":"/api-reference/analytics/contents-analytics"},{"title":"Get content analytics","openapi":"get /projects/{project_id}/content/{id}/analytics","href":"/api-reference/analytics/content-analytics"}]}]},{"group":"Ads","pages":[{"group":"Analytics","pages":[{"title":"List ads analytics","openapi":"get /projects/{project_id}/ads/analytics","href":"/api-reference/analytics/ads-analytics"},{"title":"Get ad analytics","openapi":"get /projects/{project_id}/ads/{id}/analytics","href":"/api-reference/analytics/ad-analytics"}]}]}]},{"group":"Monetization","pages":[{"group":"Ads","pages":[{"title":"List ads","openapi":"get /projects/{project_id}/ads","href":"/api-reference/ads/list"},{"title":"Create ad","openapi":"post /projects/{project_id}/ads","href":"/api-reference/ads/create"},{"title":"Get ad","openapi":"get /projects/{project_id}/ads/{id}","href":"/api-reference/ads/show"},{"title":"Update ad","openapi":"put /projects/{project_id}/ads/{id}","href":"/api-reference/ads/update"},{"title":"Delete ad","openapi":"delete /projects/{project_id}/ads/{id}","href":"/api-reference/ads/delete"}]}]},{"group":"Organization","pages":[{"group":"Projects","pages":[{"title":"List projects","openapi":"get /projects","href":"/api-reference/projects/list"},{"title":"Create project","openapi":"post /projects","href":"/api-reference/projects/create"},{"title":"Get project","openapi":"get /projects/{id}","href":"/api-reference/projects/show"},{"title":"Update project","openapi":"put /projects/{id}","href":"/api-reference/projects/update"},{"title":"Delete project","openapi":"delete /projects/{id}","href":"/api-reference/projects/delete"},{"title":"Get project voices","openapi":"get /projects/{id}/voices","href":"/api-reference/projects/voices"}]}]}]},{"anchor":"Full reference","icon":"rectangle-terminal","pages":[{"title":"Full reference","href":"/full-api-reference/overview"}]},{"anchor":"Components","icon":"puzzle-piece","pages":[{"title":"Components","href":"/components/react/introduction"}]},{"anchor":"Changelog","icon":"file-code","pages":[{"title":"Changelog","href":"/docs-and-guides/changelog"}]}]},"basePath":"","title":"Update player settings - Docs and guides","deploymentId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","buildId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-CrDfRf61.js","snippetPresets-Dv-cOUrx.js","utils-BUTreAgv.js","style-to-object-BY3JEAdk.js","utils-wsznt9RM.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-DEsMlaPy.js","conditional-requirements-CFM0id0Q.js","cloneDeep-DontW4xJ.js","_Uint8Array-pP7X6_RM.js","isObject-FP1Yky1u.js","Page-Cr9IwkK7.js","CodeSnippet-eoRjC4Le.js","DynamicMarkdown-NFqqduU7.js","SectionHeading-DQ-mJoAt.js","icon-DXTBUt6s.js","ApiExamples-CU_aGGP0.js","usePlaygroundInputsStore-7dNmUIbS.js","shallow-fTtruD8x.js","isEqual-BRfNFpSD.js","CodeSnippets-52884wUJ.js","getApiPlaygroundDisplay-CZyAPlR2.js","MethodPill-2v-b3js5.js","getPastedJson-v_8Y1_4v.js","DuplicateIcon-DXIkhZIo.js","createIcon-DRpYuPZs.js","axios-CsQoIw0U.js","Markdown-CwtoSfEf.js","AssistantPageLink-CTqa3eoi.js","dist-DIfYWxfm.js","lib-DMeTj1gb.js","lib-B8HbPgcC.js","katex-Dbtb6Wk7.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js"]}